import React, { ReactNode } from 'react';
import { INotificationMessage, ISteeringCommand } from '@orderingstack/ordering-types';
import { ApplicationInsights } from '@microsoft/applicationinsights-web';
import { IOrderRec } from '@orderingstack/ordering-core';
export interface OrderProviderProps {
    children: ReactNode;
    onWebsocketNotification?: (message: INotificationMessage) => void;
    onSteeringCommand?: (command: ISteeringCommand) => void;
    appInsights?: ApplicationInsights;
    debugWs?: boolean;
    onlyCompletedOrdersForUser?: boolean;
    onWebsocketConnected?: (status: boolean) => void;
}
export default function OrderProvider(props: OrderProviderProps): React.JSX.Element;
export declare function useOrdersContext(): {
    orderRecMap: {
        [id: string]: IOrderRec;
    };
    loaded: boolean;
    error?: any;
};
